import { IMAGE_ROOT } from "@/shared/constants/common";
import { useTranslation } from "react-i18next";

export interface FullMenuCloseProps {
  addClass?: string;
  onClickToCallback: () => void;
};

export const FullMenuClose = ({
  addClass = 'full-menu-close',
  onClickToCallback
}: FullMenuCloseProps) => {
  const { t } = useTranslation();

  return (
    <>
      <button className={ addClass }>
        <img
          src={ IMAGE_ROOT + '/ico_close.svg' }
          alt={ t('common.close') }
          onClick={ onClickToCallback }
        />
      </button>
    </>
  );
};